%define upstream_name 	 IPC-Shareable
%define upstream_version 0.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    %{upstream_name} perl module
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IPC::Semaphore)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable) >= 0.607.0
BuildArch:  noarch

%description
IPC-Shareable allows you to tie a variable to shared memory making it easy to
share the contents of that variable with other Perl processes. Scalars, arrays,
and hashes can be tied. The variable being tied may contain arbitrarily complex
data structures including references to arrays, hashes of hashes, etc.

%prep
%setup -q  -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make 

%install
%make_install

%files
%doc CHANGES COPYING CREDITS DISCLAIMER MYMETA.yml README eg
%{perl_vendorlib}/IPC/*.pm
%{perl_vendorlib}/IPC/Shareable/*.pm
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.610.0-9.mga8
+ Revision: 1495195
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.610.0-8.mga7
+ Revision: 1268844
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.610.0-7.mga6
+ Revision: 1028803
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.610.0-6.mga6
+ Revision: 944418
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.610.0-5.mga5
+ Revision: 747931
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.610.0-4.mga5
+ Revision: 685105
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.610.0-3.mga4
+ Revision: 512350
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.610.0-2.mga3
+ Revision: 368646
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.610.0-1.mga3
+ Revision: 306137
- update to 0.61

* Thu Jan 20 2011 jquelin <jquelin> 0.600.0-1.mga1
+ Revision: 26422
- mageia rebuild
- imported package perl-IPC-Shareable


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.600.0-1mdv2010.0
+ Revision: 402563
- rebuild using %%perl_convert_version

* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.60-9mdv2009.0
+ Revision: 289647
- disable tests for now

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.60-6mdv2008.1
+ Revision: 122768
- kill re-definition of %%buildroot on Pixel's request


* Thu May 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.60-6mdk
- Fix Build
- use mkrel

* Wed Jun 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.60-5mdk
- rebuild

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.60-4mdk
- rebuild for new auto{prov,req}

